import Repository from "./Repository";

const PlantRepository = {
  getFilteredPlants(key) {
    return Repository.get(`/plants/`, { params: {key} });
  },

  getPlantsCSV(key) {
    return Repository.get("/download/csv/", { params: {key} });
  },

  getPlantsPDF(key) {
    return Repository.get("/download/pdf/", {
      params: {key},
      responseType: "arraybuffer",
    });
  },
};

export default PlantRepository;
